<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */

// Footer Section
$wp_customize->add_section( 'elead_pro_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'elead-pro' ),
		'priority'   			=> 900,
		'panel'      			=> 'elead_pro_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'elead_pro_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'elead_pro_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);
$wp_customize->add_control( 'elead_pro_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Footer Text', 'elead-pro' ),
		'section'    			=> 'elead_pro_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'elead_pro_theme_options[copyright_text]', array(
		'selector'            => '#colophon .site-info .wrapper p.copyright',
		'settings'            => 'elead_pro_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'elead_pro_copyright_text_callback',
    ) );
}

// Powered by text setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[powered_by]', array(
	'sanitize_callback'   => 'wp_kses_post',
	'default'             => $options['powered_by'],
	'transport'			  => 'postMessage',
) );

$wp_customize->add_control( 'elead_pro_theme_options[powered_by]', array(
	'label'               => esc_html__( 'Powered By Text', 'elead-pro' ),
	'section'             => 'elead_pro_section_footer',
	'type'                => 'textarea',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'elead_pro_theme_options[powered_by]', array(
		'selector'            => '#colophon .site-info .wrapper p.powered-by',
		'settings'            => 'elead_pro_theme_options[powered_by]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'elead_pro_powered_by_callback',
    ) );
}

// scroll top visible
$wp_customize->add_setting( 'elead_pro_theme_options[scroll_top_visible]',
	array(
		'default'       		=> $options['scroll_top_visible'],
		'sanitize_callback'		=> 'elead_pro_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'elead_pro_theme_options[scroll_top_visible]',
    array(
		'label'      			=> esc_html__( 'Display Scroll Top Button', 'elead-pro' ),
		'section'    			=> 'elead_pro_section_footer',
		'type'		 			=> 'checkbox',
    )
);